FPUTWS(P)

NAME
fputws - put a wide-character string on a stream

SYNOPSIS

#include <stdio.h>
#include <wchar.h>

int fputws(const wchar_t *restrict ws, FILE *restrict stream);

DESCRIPTION

The fputws() function shall write a character string corresponding to the (null-terminated) wide-character string pointed to by ws to the stream pointed to by stream. No character corresponding to the terminating null wide-character code shall be written.

The st_ctime and st_mtime fields of the file shall be marked for update between the successful execution of fputws() and the next successful completion of a call to fflush() or fclose() on the same stream or a call to exit() or abort().

RETURN VALUE

Upon successful completion, fputws() shall return a non-negative number. Otherwise, it shall return -1, set an error indicator for the stream, and set errno to indicate the error.

ERRORS

Refer to fputwc() .

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

The fputws() function does not append a <newline>.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

fopen() , the Base Definitions volume of IEEE Std 1003.1-2001, <stdio.h>, <wchar.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .